Modify

Opened 8 days ago

Closed 7 days ago

#17903 closed defect (fixed)

NPE: offset - while loading JOSM

Reported by: naoliv Owned by: Don-vip
Priority: normal Milestone:
Component: Plugin http2 Version:
Keywords: Cc:

Description

While loading JOSM I got this NPE in http2:

2019-07-08 17:07:50.491 SEVERE: Handled by bug report queue: org.openstreetmap.josm.tools.JosmRuntimeException: java.util.concurrent.ExecutionException: java.lang.NullPointerException: offset. Cause: java.util.concurrent.ExecutionException: java.lang.NullPointerException: offset. Cause: java.lang.NullPointerException: offset
org.openstreetmap.josm.tools.JosmRuntimeException: java.util.concurrent.ExecutionException: java.lang.NullPointerException: offset
	at org.openstreetmap.josm.spi.lifecycle.Lifecycle.initialize(Lifecycle.java:89)
	at org.openstreetmap.josm.gui.MainApplication.mainJOSM(MainApplication.java:906)
	at org.openstreetmap.josm.gui.MainApplication$3.processArguments(MainApplication.java:279)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:706)
Caused by: java.util.concurrent.ExecutionException: java.lang.NullPointerException: offset
	at java.base/java.util.concurrent.FutureTask.report(FutureTask.java:122)
	at java.base/java.util.concurrent.FutureTask.get(FutureTask.java:191)
	at org.openstreetmap.josm.spi.lifecycle.Lifecycle.initialize(Lifecycle.java:78)
	... 3 more
Caused by: java.lang.NullPointerException: offset
	at java.base/java.util.Objects.requireNonNull(Objects.java:246)
	at java.base/java.time.LocalDateTime.ofEpochSecond(LocalDateTime.java:417)
	at org.openstreetmap.josm.plugins.http2.Http2Client.setupConnection(Http2Client.java:59)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:136)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:122)
	at org.openstreetmap.josm.io.CachedFile.checkLocal(CachedFile.java:501)
	at org.openstreetmap.josm.io.CachedFile.getFile(CachedFile.java:282)
	at org.openstreetmap.josm.io.CachedFile.getInputStream(CachedFile.java:224)
	at org.openstreetmap.josm.io.CachedFile.getContentReader(CachedFile.java:259)
	at org.openstreetmap.josm.io.imagery.ImageryReader.parse(ImageryReader.java:98)
	at org.openstreetmap.josm.data.imagery.ImageryLayerInfo$DefaultEntryLoader.loadSource(ImageryLayerInfo.java:174)
	at org.openstreetmap.josm.data.imagery.ImageryLayerInfo$DefaultEntryLoader.realRun(ImageryLayerInfo.java:156)
	at org.openstreetmap.josm.data.imagery.ImageryLayerInfo.loadDefaults(ImageryLayerInfo.java:119)
	at org.openstreetmap.josm.data.imagery.ImageryLayerInfo.load(ImageryLayerInfo.java:101)
	at org.openstreetmap.josm.gui.preferences.imagery.ImageryPreference.initialize(ImageryPreference.java:328)
	at org.openstreetmap.josm.spi.lifecycle.InitializationTask.call(InitializationTask.java:33)
	at org.openstreetmap.josm.spi.lifecycle.InitializationTask.call(InitializationTask.java:11)
	at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
	at java.base/java.lang.Thread.run(Thread.java:834)

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-07-08 01:14:04 +0200 (Mon, 08 Jul 2019)
Revision:15234
Build-Date:2019-07-07 23:17:09
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15234 pt_BR) Linux Debian GNU/Linux 10 (buster)
Memory Usage: 536 MB / 2048 MB (135 MB allocated, but free)
Java version: 11.0.4-ea+10-post-Debian-1, Debian, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Java package: openjdk-11-jre:amd64-11.0.4+10-1
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-22
libcommons-compress-java: libcommons-compress-java:all-1.18-2
libcommons-logging-java: libcommons-logging-java:all-1.2-2
VM arguments: [-Dhttps.protocols=TLSv1,TLSv1.1,TLSv1.2, -Dawt.useSystemAAFontSettings=gasp]
Dataset consistency test: No problems found

Plugins:
+ EasyPresets (1537621333)
+ OpeningHoursEditor (34977)
+ SimplifyArea (34977)
+ apache-commons (34908)
+ buildings_tools (34982)
+ ejml (35049)
+ geojson (124)
+ geotools (34908)
+ http2 (35053)
+ jaxb (35014)
+ jogl (1.2.3)
+ jts (34908)
+ log4j (34908)
+ measurement (35051)
+ opendata (34997)
+ reverter (34999)
+ tageditor (34977)
+ tagging-preset-tester (34908)
+ todo (30306)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ undelete (34977)
+ utilsplugin2 (34977)
+ wikipedia (v1.1.1)

Attachments (0)

Change History (2)

comment:1 Changed 8 days ago by naoliv

Sometimes it's giving a smaller trace too:

java.lang.NullPointerException: offset
	at java.base/java.util.Objects.requireNonNull(Objects.java:246)
	at java.base/java.time.LocalDateTime.ofEpochSecond(LocalDateTime.java:417)
	at org.openstreetmap.josm.plugins.http2.Http2Client.setupConnection(Http2Client.java:59)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:136)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:122)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.loadObject(JCSCachedTileLoaderJob.java:322)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.run(JCSCachedTileLoaderJob.java:231)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
	at java.base/java.lang.Thread.run(Thread.java:834)

comment:2 Changed 7 days ago by Don-vip

Resolution: fixed
Status: newclosed

Fixed in [o35058:35061].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.